
import java.io.RandomAccessFile;
import javax.jms.Connection;
import javax.jms.MessageProducer;
import javax.jms.Session;
import javax.jms.TextMessage;
import com.ibm.websphere.sib.api.jms.JmsConnectionFactory;
import com.ibm.websphere.sib.api.jms.JmsFactoryFactory;
import com.ibm.websphere.sib.api.jms.JmsQueue;

public class JMS_Put {
	  public static void main(String[] args) {
		  JMS_Put test1 = new JMS_Put();
	    test1.run();
	  }
	  public void run() {
	    try {
	      JmsFactoryFactory jff = JmsFactoryFactory.getInstance();
	      JmsConnectionFactory jcf = jff.createConnectionFactory();
	      jcf.setProviderEndpoints("localhost:7276");
	      jcf.setBusName("MDM.SIB.server1");
	      JmsQueue queue = jff.createQueue("MDM.MESSAGING.REQUEST");
	      Connection conn = jcf.createConnection();
	      conn.start();
	      // Read the file
	      RandomAccessFile f = new RandomAccessFile("/home/gb085768/Documents/IBM/MDM/xml/addPerson.xml", "r");
	      byte data[] = new byte[(int)f.length()];
	      f.read(data);
	      f.close();
	      Session session = conn.createSession(false, Session.AUTO_ACKNOWLEDGE);
	      TextMessage tm = session.createTextMessage(new String(data));
	      MessageProducer producer = session.createProducer(queue);
	      producer.send(tm);
	      conn.close();
	      System.out.println("Done!");
	    } 
	    catch (Exception e) {
	      e.printStackTrace();
	    }
	  }
	}
