
import java.io.RandomAccessFile;

import javax.jms.Connection;
import javax.jms.MessageConsumer;
import javax.jms.MessageProducer;
import javax.jms.Session;
import javax.jms.*;

import com.ibm.websphere.sib.api.jms.JmsConnectionFactory;
import com.ibm.websphere.sib.api.jms.JmsFactoryFactory;
import com.ibm.websphere.sib.api.jms.JmsQueue;

public class JMS_Get_SSL {
	public static void main(String[] args) {
		//System.setProperty("javax.net.ssl.trustStore","/home/gb085768/IBM/WebSphereBase9.0/AppServer/profiles/AppSrv03/etc/DummyClientTrustFile.jks");
		//System.setProperty("javax.net.ssl.trustStorePassword","WebAS");
		//openssl s_client -showcerts -connect localhost:7286
		//Hosted
		//MDMDEV1         158.177.138.11        10.194.38.81        MDM6t6-d-mdc1.fra02.eu-de.services.bluemix.net
		//Managed
		//MDM Server      158.177.112.105		10.194.38.23		mdmpxy-s-mdmp.fra02.eu-de.services.bluemix.net
		//Remote WAS Node 158.177.112.98		10.194.38.24		mdmpxy-s-mdms.fra02.eu-de.services.bluemix.net
		//MDM Portable IP 158.177.140.210

// https://158.177.140.210:7286  https://158.177.112.105:7286 



		/*
JAVA_HOME=/home/gb085768/IBM/WebSphereBase/AppServer/java_1.8_64		  
java -cp ".:./lib/*:bin:$JAVA_HOME/jre/lib/*" JMS_Get_SSL localhost:7286:BootstrapSecureMessaging MDM.SIB.server1 MDM.BROADCAST broadcast.txt		 
		 */

		if( args.length != 4) {
			System.out.println("Usage:");
			System.out.println("java -cp \".:./lib/*:bin:$JAVA_HOME/jre/lib/*\" -Djavax.net.ssl.trustStore=DummyClientTrustFile.jks -Djavax.net.ssl.trustStorePassword=WebAS JMS_Get_SSL url busname queuename filename");
			System.out.println("eg");
			System.out.println("java -cp \".:./lib/*:bin:$JAVA_HOME/jre/lib/*\" -Djavax.net.ssl.trustStore=DummyClientTrustFile.jks -Djavax.net.ssl.trustStorePassword=WebAS JMS_Get_SSL localhost:7286:BootstrapSecureMessaging MDM.SIB.server1 MDM.BROADCAST broadcast.txt");
			System.out.println("or");
			System.out.println("java -cp \".:./lib/*:bin:$JAVA_HOME/jre/lib/*\" -Djavax.net.ssl.trustStore=DummyClientTrustFile.jks -Djavax.net.ssl.trustStorePassword=WebAS JMS_Get_SSL localhost:7286:BootstrapSecureMessaging MDM.SIB.server1 MDM.MESSAGING.SUCCESSFUL_RESPONSE response.txt");
			System.exit(-1);
		}

		JMS_Get_SSL test1 = new JMS_Get_SSL();

		String url       = args[0]; //"localhost:7286:BootstrapSecureMessaging";
		String busname   = args[1]; //"MDM.SIB.server1";
		String QueueName = args[2]; //"MDM.MESSAGING.REQUEST";
		String filename  = args[3]; //"addPerson.xml";

		test1.run(filename,QueueName,busname,url);
		System.exit(0);
	}
	/*
	 *
export JAVA_HOME=/home/gb085768/IBM/WebSphereBase9.0/AppServer/java/8.0/
$JAVA_HOME/bin/java -cp ".:./lib/*:bin:$JAVA_HOME/jre/lib/*" -Djavax.net.ssl.trustStore=trust.p12 -Djavax.net.ssl.trustStorePassword=WebAS JMS_Get_SSL localhost:7286:BootstrapSecureMessaging MDM.SIB.server1 MDM.BROADCAST broadcast.txt
$JAVA_HOME/bin/java -cp ".:./lib/*:bin:$JAVA_HOME/jre/lib/*" -Djavax.net.ssl.trustStore=trust.p12 -Djavax.net.ssl.trustStorePassword=WebAS JMS_Put_SSL localhost:7286:BootstrapSecureMessaging MDM.SIB.server1 MDM.MESSAGING.REQUEST addPerson.xml
$JAVA_HOME/bin/keytool -list -v -storetype pkcs12 -storepass WebAS -keystore /home/gb085768/IBM/WebSphereBase9.0/AppServer/profiles/AppSrv03/config/cells/localhostNode06Cell/nodes/localhostNode07/key.p12

$JAVA_HOME/bin/keytool -list -v -storetype jks -storepass changeit -keystore $JAVA_HOME/jre/lib/security/cacerts

$JAVA_HOME/bin/keytool -importcert -file ~/IBM/workspaceCembra/JMS/cert1.crt -alias cert1 -keystore $JAVA_HOME/jre/lib/security/cacerts -storepass changeit -noprompt
$JAVA_HOME/bin/keytool -importcert -file ~/IBM/workspaceCembra/JMS/cert2.crt -alias cert2 -keystore $JAVA_HOME/jre/lib/security/cacerts -storepass changeit -noprompt
$JAVA_HOME/bin/keytool -importcert -file ~/IBM/workspaceCembra/JMS/cert3.crt -alias cert3 -keystore $JAVA_HOME/jre/lib/security/cacerts -storepass changeit -noprompt
$JAVA_HOME/bin/keytool -importcert -file ~/IBM/workspaceCembra/JMS/cert4.crt -alias cert4 -keystore $JAVA_HOME/jre/lib/security/cacerts -storepass changeit -noprompt

$JAVA_HOME/bin/java -cp ".:./lib/*:bin:$JAVA_HOME/jre/lib/*"  JMS_Get_SSL localhost:7286:BootstrapSecureMessaging MDM.SIB.server1 MDM.BROADCAST broadcast.txt

	 * 
	 * 
	 * 	   */

/*
Incidently, I worked out how to add the self-signed WAS/MDM certs into the Java trust store so you can run my Java program (and your own Java/SSL code of course) without needing to specify a trust file and/or password..
 
1.
run this command to extract the certs from both MDM servers:
 
openssl s_client -showcerts -connect 158.177.112.105:7286
openssl s_client -showcerts -connect 158.177.112.98:7286
 
Each response will contain 4 certs.. save to files certA1.crt, certA2.crt ... certB3.crt, certB4.crt
 
Each cert looks like this:
 
cat cert1.crt
-----BEGIN CERTIFICATE-----
MIIDyjCCArKgAwIBAgIGAWJVkZ/GMA0GCSqGSIb3DQEBCwUAMIGCMQswCQYDVQQG
EwJVUzEMMAoGA1UEChMDSUJNMRgwFgYDVQQLEw9sb2NhbGhvc3ROb2RlMDcxHDAa
..
40gM1O8+kb01vPNLgAKJNnZXcEn7lxw7UGxu0Q6tXz46NreGnkiu3Q1U3p1hcEhE
1Uw8OFlvFL/DcFbmtKo=
-----END CERTIFICATE-----
 
 
 
Then add them to the Java trust store:
 
$JAVA_HOME/bin/keytool -importcert -file certA1.crt -alias certA1 -keystore $JAVA_HOME/jre/lib/security/cacerts -storepass changeit -noprompt
$JAVA_HOME/bin/keytool -importcert -file certA1.crt -alias certA1 -keystore $JAVA_HOME/jre/lib/security/cacerts -storepass changeit -noprompt
..
$JAVA_HOME/bin/keytool -importcert -file certA1.crt -alias certB3 -keystore $JAVA_HOME/jre/lib/security/cacerts -storepass changeit -noprompt
$JAVA_HOME/bin/keytool -importcert -file certA1.crt -alias certB4 -keystore $JAVA_HOME/jre/lib/security/cacerts -storepass changeit -noprompt
Then run my Java program as follows:
 
$JAVA_HOME/bin/java -cp ".:./lib/*:bin:$JAVA_HOME/jre/lib/*"  JMS_Get_SSL 158.177.112.105:7286:BootstrapSecureMessaging MDM.SIB.server1 MDM.BROADCAST broadcast.txt

*/

	public void run(String filename, String QueueName, String busname, String url) {
		try {


			JmsFactoryFactory jff = JmsFactoryFactory.getInstance();
			JmsConnectionFactory jcf = jff.createConnectionFactory();
			jcf.setProviderEndpoints(url);
			jcf.setBusName(busname);
			JmsQueue queue = jff.createQueue(QueueName);
			Connection conn = jcf.createConnection();
			conn.start();
			Session session = conn.createSession(false, Session.AUTO_ACKNOWLEDGE);
			MessageConsumer consumer = session.createConsumer(queue);
			Message message = consumer.receive(2000);
			if( message == null ) {
				System.out.println("No messages read");
			} else {
				System.out.println("1 Message read");
				TextMessage tm = (TextMessage)message;				
				String msg = tm.getText();
				RandomAccessFile fw = new RandomAccessFile(filename, "rw");
				fw.writeBytes(msg);
				fw.close();
			}
			conn.close();
			System.out.println("Done!");
		} 
		catch (Exception e) {
			e.printStackTrace();
		}
	}
}
